对于 AI 代理:可在 https://www.mongodb.com/zh-cn/docs/llms.txt 获取文档索引—通过在任何 URL 路径后添加 .md 可获取所有页面的 Markdown 版本。

Retrieve Telemetry Data

检索Ops Manager安装的遥测集合状态和配置详细信息。

此终结点需要具有 Global Owner 角色的API密钥。

基本 URL: https://{OPSMANAGER-HOST}:{PORT}/api/private/v1.0/telemetry

GET /collection/details

此端点不使用 HTTP 请求路径参数。

此终结点不使用HTTP请求查询参数。

此端点不使用 HTTP 请求正文参数。

响应JSON文档包含以下字段:

名称
类型
说明

enabled

布尔

指示系统是否收集和发送遥测数据。

last_successful_send

datetime

上次成功发送遥测的日期和时间。

next_job

datetime

计划发送下一个遥测的日期和时间。

数据

阵列

遥测数据嵌入式对象中定义的对象数组。

data数组中的每个元素都描述了Ops Manager安装的遥测详细信息。

名称
类型
说明

app_db_nodes

整型

此Ops Manager安装使用的AppDB节点数。

uuid

字符串

此Ops Manager安装的静态唯一标识符。

os

字符串数组

在Ops Manager托管上运行的操作系统。

版本

字符串

当前Ops Manager版本。

实例

整型

此安装中的Ops Manager实例数。

backup_daemons

整型

此安装中运行的备份守护程序的数量。

auth_method

字符串

Ops Manager使用的身份验证方法。可能的值:DB、LDAP 或 SAML。

CPU

整数数组

为每个 Ops Manager 托管预配的 CPU 核心数量。

内存

整数数组

为每个Ops Manager托管预配的内存量。

基础架构

字符串

托管Ops Manager的基础架构类型。可能的值:Kubernetes、VM 或 Bare Metal。

projects

整型

当前存在的项目总数。

org

整型

当前存在的组织总数。

部署

阵列

遥测部署嵌入式对象中定义的对象数组。

deployments数组中的每个元素都描述了Ops Manager托管的MongoDB部署。

名称
类型
说明

版本

字符串数组

部署使用的MongoDB版本。

uuid

字符串

部署的静态唯一标识符。

tls_enabled

布尔

指示是否为部署启用了TLS。

auth_method

字符串

部署使用的身份验证方法。可能的值:MONGODB-CR、GSSAPI、PLAIN 或 MONGODB-X509。

类型

字符串

部署类型。可能的值:SC、RS 或 SA。

节点

整型

如果是副本集,则为部署中的节点数。

shards

整型

如果是分片集群,则为部署中的分片数。

data_size

整型

部署的总数据大小,不包括本地元数据。

版本

对象

包含两个键 community 和 enterprise 的对象。每个键都有一个整数值,表示部署中该版本的节点数。

curl --user "{publicApiKey}:{privateApiKey}" --digest \ --header "Accept: application/json" \ --header "Content-Type: application/json" \ --include \ --request GET "https://<OpsManagerHost>:<Port>/api/private/v1.0/telemetry/collection/details"
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-alive
HTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
{ "data": { "app_db_nodes": 1, "auth_method": "DB", "backup_daemons": 3, "cpu": [ 14,12 ], "infrastructure": "Bare Metal", "instances": 2, "memory": [ "3221225472","221225472" ], "os": [ "RHEL 8.10 aarch64","RHEL 8.11 aarch64" ], "orgs": 3, "projects": 12, "uuid": "84248c7e-94df-4a0c-942a-dfb1fa987edd", "version": "8.0.13", "deployments": [ { "auth_method": "MONGODB-CR", "data_size": 3221225472, "edition": { "community": 3, "enterprise": 0 }, "nodes": 3, "tls_enabled": true, "type": "RS", "uuid": "6907dd45d61b992049366140", "version": [ "8.15","7.11" ] }, { "auth_method": "MONGODB-CR", "data_size": 221225472, "edition": { "community": 1, "enterprise": 2 }, "shards": 3, "tls_enabled": false, "type": "SC", "uuid": "6907de15d61b9920493664ca", "version": [ "8.15" ] } ], }, "enabled": true, "last_successful_send": "2025-10-02T22:26:10Z", "next_job": "2025-10-09T22:26:10Z"}